# Interface EndpointConfig

All Known Subinterfaces:
  `ClientEndpointConfig, ServerEndpointConfig`

public interface EndpointConfig
Provides configuration information for a WebSocket endpoint, including encoders, decoders, and user properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Class<? extends Decoder>>`
  `getDecoders()`
  Returns the list of decoder classes for this endpoint.
  `List<Class<? extends Encoder>>`
  `getEncoders()`
  Returns the list of encoder classes for this endpoint.
  `Map<String,Object>`
  `getUserProperties()`
  Returns a map of user properties associated with this endpoint configuration.

- ## Method Details

  - ### getEncoders

    List<Class<? extends Encoder>> getEncoders()
    Returns the list of encoder classes for this endpoint.
    Returns:
      The list of encoder classes

  - ### getDecoders

    List<Class<? extends Decoder>> getDecoders()
    Returns the list of decoder classes for this endpoint.
    Returns:
      The list of decoder classes

  - ### getUserProperties

    Map<String,Object> getUserProperties()
    Returns a map of user properties associated with this endpoint configuration.
    Returns:
      The user properties map